package com.ruoyi.project.process.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * MOC管理对象 t_moc
 *
 * @author ruoyi
 * @date 2020-12-07
 */
public class TMoc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** MOC编号 */
    @Excel(name = "MOC编号")
    private String mocNo;

    /** 装置编号 */
    private String plantNumber;

    /** 通知单 */
    private String noticeLetter;

    /** 工作单 */
    private String workLetter;

    /** CTE工作号 */
    private String cteNo;

    /** 投资费用(RMB) */
    private String investCost;

    /** 类别 */
    private String category;

    /** 重要性 */
    private String significance;

    /** 分类 */
    private String classification;

    /** 区域 */
    @Excel(name = "区域")
    private String area;

    /** 仪表控制 */
    private String dashControl;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 预计完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date estimateEndtime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 实施情况 */
    @Excel(name = "实施情况", dictType = "MOC_STATE")
    private String trueState;

    /** 变更性质 */
    @Excel(name = "变更性质", dictType = "MOC_CHANGE")
    private String changeNature;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date overTime;

    /** 临时MOC状态 */
    @Excel(name = "临时MOC状态")
    private String temporaryState;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 风险等级 */
    @Excel(name = "风险等级", dictType = "MOC_RISKLEVEL")
    private String riskLevel;

    /** EHS审查 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "EHS审查", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ehsCheck;

    /** EHS审查是否上传文件 */
    private String isEhsCheck;

    /** 培训 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训", width = 30, dateFormat = "yyyy-MM-dd")
    private Date training;

    /** 培训是否上传文件 */
    private String isTraining;

    /** PSSR */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "PSSR", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pssr;

    /** PSSR是否上传文件 */
    private String isPssr;

    /** EHS审查数据库 */
    private String ehsDb;

    /** SOP更新 */
    @Excel(name = "SOP更新")
    private String sopUpdate;

    /** PID MASTER更新 */
    @Excel(name = "PID更新")
    private String pidMaster;

    /** PSSR数据库 */
    private String pssrDb;

    /** CAPEX计划 */
    private String capex;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setMocNo(String mocNo)
    {
        this.mocNo = mocNo;
    }

    public String getMocNo()
    {
        return mocNo;
    }
    public void setPlantNumber(String plantNumber)
    {
        this.plantNumber = plantNumber;
    }

    public String getPlantNumber()
    {
        return plantNumber;
    }
    public void setNoticeLetter(String noticeLetter)
    {
        this.noticeLetter = noticeLetter;
    }

    public String getNoticeLetter()
    {
        return noticeLetter;
    }
    public void setWorkLetter(String workLetter)
    {
        this.workLetter = workLetter;
    }

    public String getWorkLetter()
    {
        return workLetter;
    }
    public void setCteNo(String cteNo)
    {
        this.cteNo = cteNo;
    }

    public String getCteNo()
    {
        return cteNo;
    }
    public void setInvestCost(String investCost)
    {
        this.investCost = investCost;
    }

    public String getInvestCost()
    {
        return investCost;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setSignificance(String significance)
    {
        this.significance = significance;
    }

    public String getSignificance()
    {
        return significance;
    }
    public void setClassification(String classification)
    {
        this.classification = classification;
    }

    public String getClassification()
    {
        return classification;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setDashControl(String dashControl)
    {
        this.dashControl = dashControl;
    }

    public String getDashControl()
    {
        return dashControl;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setEstimateEndtime(Date estimateEndtime)
    {
        this.estimateEndtime = estimateEndtime;
    }

    public Date getEstimateEndtime()
    {
        return estimateEndtime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setTrueState(String trueState)
    {
        this.trueState = trueState;
    }

    public String getTrueState()
    {
        return trueState;
    }
    public void setChangeNature(String changeNature)
    {
        this.changeNature = changeNature;
    }

    public String getChangeNature()
    {
        return changeNature;
    }
    public void setOverTime(Date overTime)
    {
        this.overTime = overTime;
    }

    public Date getOverTime()
    {
        return overTime;
    }
    public void setRiskLevel(String riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel()
    {
        return riskLevel;
    }
    public void setTraining(Date training)
    {
        this.training = training;
    }

    public Date getTraining()
    {
        return training;
    }
    public void setPssr(Date pssr)
    {
        this.pssr = pssr;
    }

    public Date getPssr()
    {
        return pssr;
    }
    public void setEhsCheck(Date ehsCheck)
    {
        this.ehsCheck = ehsCheck;
    }

    public Date getEhsCheck()
    {
        return ehsCheck;
    }
    public void setEhsDb(String ehsDb) { this.ehsDb = ehsDb; }

    public String getEhsDb()
    {
        return ehsDb;
    }
    public void setPidMaster(String pidMaster)
    {
        this.pidMaster = pidMaster;
    }

    public String getPidMaster()
    {
        return pidMaster;
    }
    public void setPssrDb(String pssrDb)
    {
        this.pssrDb = pssrDb;
    }

    public String getPssrDb()
    {
        return pssrDb;
    }
    public void setCapex(String capex)
    {
        this.capex = capex;
    }

    public String getCapex()
    {
        return capex;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setTemporaryState(String temporaryState) { this.temporaryState = temporaryState; }

    public String getTemporaryState() { return temporaryState; }
    public void setSopUpdate(String sopUpdate) { this.sopUpdate = sopUpdate; }

    public String getSopUpdate() { return sopUpdate; }

    public String getIsEhsCheck() { return isEhsCheck; }

    public void setIsEhsCheck(String isEhsCheck) { this.isEhsCheck = isEhsCheck; }

    public String getIsTraining() { return isTraining; }

    public void setIsTraining(String isTraining) { this.isTraining = isTraining; }

    public String getIsPssr() { return isPssr; }

    public void setIsPssr(String isPssr) { this.isPssr = isPssr; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("mocNo", getMocNo())
            .append("plantNumber", getPlantNumber())
            .append("noticeLetter", getNoticeLetter())
            .append("workLetter", getWorkLetter())
            .append("cteNo", getCteNo())
            .append("investCost", getInvestCost())
            .append("category", getCategory())
            .append("significance", getSignificance())
            .append("classification", getClassification())
            .append("area", getArea())
            .append("dashControl", getDashControl())
            .append("title", getTitle())
            .append("owner", getOwner())
            .append("approveTime", getApproveTime())
            .append("estimateEndtime", getEstimateEndtime())
            .append("endtime", getEndtime())
            .append("trueState", getTrueState())
            .append("changeNature", getChangeNature())
            .append("overTime", getOverTime())
            .append("riskLevel", getRiskLevel())
            .append("training", getTraining())
            .append("pssr", getPssr())
            .append("ehsCheck", getEhsCheck())
            .append("ehsDb", getEhsDb())
            .append("pidMaster", getPidMaster())
            .append("pssrDb", getPssrDb())
            .append("capex", getCapex())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("temporaryState", getTemporaryState())
            .append("sopUpdate", getSopUpdate())
            .toString();
    }
}
